## Generated SDC file "FPGA_TOP.sdc"

## Copyright (C) 2017  Intel Corporation. All rights reserved.
## Your use of Intel Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Intel Program License 
## Subscription Agreement, the Intel Quartus Prime License Agreement,
## the Intel MegaCore Function License Agreement, or other 
## applicable license agreement, including, without limitation, 
## that your use is for the sole purpose of programming logic 
## devices manufactured by Intel and sold by Intel or its 
## authorized distributors.  Please refer to the applicable 
## agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus Prime"
## VERSION "Version 17.0.0 Build 595 04/25/2017 SJ Lite Edition"

## DATE    "Sun Aug 20 09:01:56 2017"

##
## DEVICE  "10M08SAE144C8G"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3

#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {CLK24576} -period 40.690 -waveform { 0.000 20.345 } [get_ports {CLK24576}]
create_clock -name uclk -period 20.833 -waveform { 5.208 15.625 }

#**************************************************************
# Create Generated Clock
#**************************************************************

create_generated_clock -name {CLK48} -source [get_pins {PLL_USB|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50/1 -multiply_by 125 -divide_by 64 -master_clock {CLK24576} [get_pins {PLL_USB|altpll_component|auto_generated|pll1|clk[0]}] 

#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

set_clock_uncertainty -rise_from [get_clocks CLK24576] -rise_to [get_clocks CLK24576]  0.5
set_clock_uncertainty -rise_from [get_clocks CLK24576] -fall_to [get_clocks CLK24576]  0.5
set_clock_uncertainty -fall_from [get_clocks CLK24576] -rise_to [get_clocks CLK24576]  0.5
set_clock_uncertainty -fall_from [get_clocks CLK24576] -fall_to [get_clocks CLK24576]  0.5

set_clock_uncertainty -rise_from [get_clocks CLK48] -rise_to [get_clocks CLK48]  0.5
set_clock_uncertainty -rise_from [get_clocks CLK48] -fall_to [get_clocks CLK48]  0.5
set_clock_uncertainty -fall_from [get_clocks CLK48] -rise_to [get_clocks CLK48]  0.5
set_clock_uncertainty -fall_from [get_clocks CLK48] -fall_to [get_clocks CLK48]  0.5

set_clock_uncertainty -rise_from [get_clocks uclk] -rise_to [get_clocks uclk]  0.1
set_clock_uncertainty -rise_from [get_clocks uclk] -fall_to [get_clocks uclk]  0.1
set_clock_uncertainty -fall_from [get_clocks uclk] -rise_to [get_clocks uclk]  0.1
set_clock_uncertainty -fall_from [get_clocks uclk] -fall_to [get_clocks uclk]  0.1

#**************************************************************
# Set Input Delay
#**************************************************************

set_input_delay -clock uclk -max 0.5 [get_ports {RCV}]
set_input_delay -clock uclk -max 0.5 [get_ports {VP}]
set_input_delay -clock uclk -max 0.5 [get_ports {VM}]
set_input_delay -clock uclk -max 0.5 [get_ports {AIC_SER_DATA}]
set_input_delay -clock uclk -min 0.1 [get_ports {RCV}]
set_input_delay -clock uclk -min 0.1 [get_ports {VP}]
set_input_delay -clock uclk -min 0.1 [get_ports {VM}]
set_input_delay -clock uclk -min 0.1 [get_ports {AIC_SER_DATA}]

#**************************************************************
# Set Output Delay
#**************************************************************

set_output_delay -clock uclk 0.5 [all_outputs]

#**************************************************************
# Set Clock Groups
#**************************************************************

set_clock_groups -asynchronous -group {CLK48} -group {CLK24576} -group {uclk}

#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

