-- =============================================================================
--	PORST.vhd
--	Dedicated to FPGA mag. (CQ pub.)
--
--	2017-10-25	V1.0	Y.Okamura	SONIC ONE (http://sonic1.biz)
-- =============================================================================
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

package usbpkg is
	constant RAM_AD	: INTEGER := 9;

	constant ISO_OUT_EP	: std_logic_vector(7 downto 0) := X"01";
	constant ISO_SYN_EP	: std_logic_vector(7 downto 0) := X"81";
	constant ISO_IN_EP	: std_logic_vector(7 downto 0) := X"82";
	constant HID_OUT_EP	: std_logic_vector(7 downto 0) := X"03";
	constant HID_IN_EP	: std_logic_vector(7 downto 0) := X"83";
end usbpkg;
